import * as $dara from '@darabonba/typescript';
export declare class QueryJenkinsImageRegistryPersistenceDayRequest extends $dara.Model {
    /**
     * @remarks
     * The source IP address of the request.
     *
     * @example
     * 113.83.XXX.XXX
     */
    sourceIp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
